
Redmine - Defect #24648

Time shown in PDF or CSV export is different than the time shown in the issue list (when logged in

both parents and children)

2016-12-19 17:24 - Olivier Houdas

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.1

Description

Steps to repro:

1. Take a task with at least one child

2. Log time for both the parent and the child

3. Display that task with the Spent time column active, in a list of issues

4. Export that list to CSV or PDF

Result:

at step 3, we see the total logged time in the Spent time column

at step 4, we see only children tasks' logged time in the spent column

History

#1 - 2017-01-02 13:46 - Go MAEDA

- File 24648-screenshot.png added

- Status changed from New to Needs feedback

I cannot reproduce. It looks no problem for me.

Could you describe more detail according to Submissions?

 

#2 - 2017-01-02 14:28 - Olivier Houdas

Sorry, my fault. I had in fact introduced that bug myself by mixing spent_hours and total_spent_hours in the patch suggestion for #24649.
https://www.redmine.org/projects/redmine/wiki/Submissions
https://www.redmine.org/issues/24649


#3 - 2017-01-03 01:35 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for the feedback.

Closing.

Files

24648-screenshot.png 24.1 KB 2017-01-02 Go MAEDA
